Bug 61166 - code compiled w/ updated g77-3 (3.0.4) seg faults & core dumps
code compiled w/ updated g77-3 (3.0.4) seg faults & core dumps
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: gcc3 (Show other bugs)
7.2
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Jakub Jelinek
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-03-14 12:50 EST by Need Real Name
Modified: 2007-04-18 12:40 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-10-02 15:50:32 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2002-03-14 12:50:05 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.76C-SGI [en] (X11; I; IRIX64 6.5 IP28)

Description of problem:
g77-3 *prior* to yesterday's up2date to 3.0.4 for zlib issues produced clean
executable. With g77-3 3.0.4 am getting seg faults. This happens on all i686
systems I up2dated with *all* updates. The order that packages were updated
(e.g., all non-zlib updates and *then* zlib updates) did not affect the
executable crashing. 

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. g77-3 -o testg77.exe testg77.f
2. ./testg77.exe < input 
3. This occurs on *all* my i686 machines up2dated yesterday
	

Actual Results:  get segmentation fault

Here's the output from gdb:

Program received signal SIGSEGV, Segmentation fault.
0x400a3abc in _IO_vfprintf (s=0xbfff7ff0, format=0x8053270 "named %s\n", 
    ap=0xbfffa79c) at ../sysdeps/i386/i486/bits/string.h:530
530     ../sysdeps/i386/i486/bits/string.h: No such file or directory.
        in ../sysdeps/i386/i486/bits/string.h


Additional info:
Comment 1 Richard Henderson 2004-10-02 15:50:32 EDT
No test case, and over two years old.

Note You need to log in before you can comment on or make changes to this bug.